{%extends 'base.html'%}
{% load staticfiles %}
{% load static%}
<html>

<head>
  
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://fonts.googleapis.com/css?family=Kaushan+Script" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=K2D" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="{% static 'homepage.css' %}">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/css?family=K2D" rel="stylesheet">



</head>

<body>
        {%block content %}
     <br><br><br> <br><br><br>
            <p style="font-family: 'Kaushan Script', cursive; font-size: 50px; text-align: center;"><strong>About Us</strong></p>
       
            <div style="margin: 200px"class="container-fluid h-100">
                <div class="col-sm-4">
                    <div class="box">
                        <div class = "imgBx">
                            <img class="img-fluid" style="width:100%" src="https://i.ibb.co/THQcpnK/1493506908037-1-4.jpg" alt="1493506908037-1-4">
                      </div>
                      <ul class="socail-icon">
                          <li><a href='mailto:fitrishb@gmail.com'><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>
                          <li><a href='https://www.linkedin.com/in/siti-nurfitriyah-769454147/'><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                          <li><a href='https://www.instagram.com/fitrishb/?hl=en'><i class="fa fa-instagram" aria-hidden="true"></i></a></li></ul>
                    <div class="detail">
                            <p style="font-family: 'K2D', sans-serif;; font-size: 20px"><strong>Siti Nurfitriyah</strong></p>
                    </div>
                    </div>
                    </div>
                    
                    <div class="col-sm-4">
                        <div class="box">
                            <div class = "imgBx">
                                <img class="img-fluid" style="width:100%" src="https://i.ibb.co/0Vn7yBM/wisuda-SMA.jpg" alt="yudha">
                                      </div>
                                      <ul class="socail-icon">
                                          <li><a href='#'><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>
                                          <li><a href='#'><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                                          <li><a href='#'><i class="fa fa-instagram" aria-hidden="true"></i></a></li>          
                                      </ul>
                                    <div class="detail">
                                        <p>Yudha</p>
                                    </div>
                        </div>
                    </div>
                            
        <div class="col-sm-4">
                <div class="box">
                        <div class = "imgBx">
                            <img class="img-fluid" style="width:100%" src="https://i.ibb.co/NLZXkhJ/dinta-2.jpg" alt="dinta-2">
                                  </div>
                                  <ul class="socail-icon">
                                      <li><a href='mailto:dintasimaputang@gmail.com'><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>
                                      <li><a href='#'><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                                      <li><a href='#'><i class="fa fa-instagram" aria-hidden="true"></i></a></li>          
                                  </ul>
                                <div class="detail">
                                        <p style="font-family: 'K2D', sans-serif;; font-size: 20px"><strong>Eldinta Yerusyah</strong></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
    <div class="container-fluid h-100">
        <div class="row h-100 justify-content-center align-items-center">
            <div class="col-sm-2"></div>
                <div class="col-sm-8" text-align="center">
                        {% for object in messages %}
                                <h4>{{ object.name }}</h4> posted on {{ object.time }}
                                <h5>{{ object.message }}</h5>
                        {% endfor %}
                        <br>

                    <!-- <div class="col-sm-8"></div> -->
                    {% if user.is_authenticated %}
                    <div text-align="center">
                    <div style="margin-bottom: 75px; height: 30px;" id="wrapper">
                        <form method="post" id="paper">
                            {% csrf_token %}
                            {{ form }}<br>
                            <button type="submit" name="submit" class="btn btn-primary">Submit</button>
                            {% endif %}
                        </form>
                </div>
                        </div>
                        <!-- </div> -->
                        <!-- <div class="col-sm-2"></div>
                        <div class="col-sm-8" text-align="center"> -->
                               <p style="font-family: 'K2D', sans-serif;; font-size: 40px; text-align: center"><strong>PESAN</strong></p>
                               
                               <div class="col-sm-2"></div>
                        <div id="wrapper2" class="text-white">
                                <div class="input" id="inwrap2">
                    </div>

                    </div>
                        </div>
                  

                    </div>
                    <script>
                        $('form').on('submit', function (e) {
                            e.preventDefault();
                            var csrftoken = $("[name=csrfmiddlewaretoken]").val();
                            $.ajax({
                                method: "POST",
                                url: "/tampilanKomen/",
                                headers: {
                                    "X-CSRFToken":csrftoken
                                },
                                data:$("form").serialize(),
                                dataType: "json",
                                success: function(result){
                                    var message = "<strong><h3>" + result.nama + "</h3></strong><center><strong><p>" + result.waktu + "</p></strong> <strong><p>" + result.pesan + "</p></strong> <br> </center>"; 
                                    $("#wrapper2").append(message)
                                }
                
                            })
                    });

                    $(document).ready(function() {
                        $.ajax({
                            url: "/kumpulanKomen/",
                            success: function(data) {
                                for (i=0; i<data.length; i++) {
                                    var message = "<strong><h3>" + data[i].nama + "</h3></strong><strong><p>" + data[i].time + "</p></strong> <strong><p>" + data[i].pesan + "</p></strong> <br>"; 
                                    $("#wrapper2").append(message)
                                }
                            }
                        })
                    });
                
                        </script>
    {% endblock content %}
    </div>
    
</body>
    
</html>
